package com.steerinfo.baseinfo.meterbaseoperationlog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量系统操作日志Vo对象")
public class MeterBaseOperationLogVo implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    @ApiModelProperty(value="计量站点",required=true)
    private String baseSpotName;
    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 操作界面-页面名称(OPERATION_PAGE,VARCHAR,200)
     */
    @ApiModelProperty(value="操作界面-页面名称",required=false)
    private String operationPage;

    /**
     * 操作界面-功能名称(OPERATION_FUNCTION,VARCHAR,50)
     */
    @ApiModelProperty(value="操作界面-功能名称",required=false)
    private String operationFunction;

    /**
     * 操作界面-数据主键(OPERATION_ID,VARCHAR,200)
     */
    @ApiModelProperty(value="操作界面-数据主键",required=false)
    private String operationId;

    /**
     * 操作界面-预报编号(OPERATION_PREDICTION_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="操作界面-预报编号",required=false)
    private String operationPredictionNo;

    /**
     * 操作界面-车号(OPERATION_CARN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="操作界面-车号",required=false)
    private String operationCarnNo;

    /**
     * 操作界面-修改前数据(OPERATION_BEFORE_FIX,VARCHAR,4000)
     */
    @ApiModelProperty(value="操作界面-修改前数据",required=false)
    private String operationBeforeFix;

    /**
     * 操作界面-修改后数据(OPERATION_AFTER_FIX,VARCHAR,4000)
     */
    @ApiModelProperty(value="操作界面-修改后数据",required=false)
    private String operationAfterFix;

    /**
     * 日志类型(LOG_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="日志类型",required=false)
    private String logType;

    /**
     * 类型编码(LOG_TYPE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="类型编码",required=false)
    private String logTypeCode;

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getLogTypeCode() {
        return logTypeCode;
    }

    public void setLogTypeCode(String logTypeCode) {
        this.logTypeCode = logTypeCode;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getOperationPage() {
        return operationPage;
    }

    public void setOperationPage(String operationPage) {
        this.operationPage = operationPage == null ? null : operationPage.trim();
    }

    public String getOperationFunction() {
        return operationFunction;
    }

    public void setOperationFunction(String operationFunction) {
        this.operationFunction = operationFunction == null ? null : operationFunction.trim();
    }

    public String getOperationId() {
        return operationId;
    }

    public void setOperationId(String operationId) {
        this.operationId = operationId == null ? null : operationId.trim();
    }

    public String getOperationPredictionNo() {
        return operationPredictionNo;
    }

    public void setOperationPredictionNo(String operationPredictionNo) {
        this.operationPredictionNo = operationPredictionNo == null ? null : operationPredictionNo.trim();
    }

    public String getOperationCarnNo() {
        return operationCarnNo;
    }

    public void setOperationCarnNo(String operationCarnNo) {
        this.operationCarnNo = operationCarnNo == null ? null : operationCarnNo.trim();
    }

    public String getOperationBeforeFix() {
        return operationBeforeFix;
    }

    public void setOperationBeforeFix(String operationBeforeFix) {
        this.operationBeforeFix = operationBeforeFix == null ? null : operationBeforeFix.trim();
    }

    public String getOperationAfterFix() {
        return operationAfterFix;
    }

    public void setOperationAfterFix(String operationAfterFix) {
        this.operationAfterFix = operationAfterFix == null ? null : operationAfterFix.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    @Override
    public String toString() {
        return "MeterBaseOperationLog{" +
                "id='" + id + '\'' +
                ", createManNo='" + createManNo + '\'' +
                ", baseSpotName='" + baseSpotName + '\'' +
                ", createManName='" + createManName + '\'' +
                ", createTime=" + createTime +
                ", updateManNo='" + updateManNo + '\'' +
                ", updateManName='" + updateManName + '\'' +
                ", updateTime=" + updateTime +
                ", deleteManNo='" + deleteManNo + '\'' +
                ", deleteManName='" + deleteManName + '\'' +
                ", deleteTime=" + deleteTime +
                ", operationPage='" + operationPage + '\'' +
                ", operationFunction='" + operationFunction + '\'' +
                ", operationId='" + operationId + '\'' +
                ", operationPredictionNo='" + operationPredictionNo + '\'' +
                ", operationCarnNo='" + operationCarnNo + '\'' +
                ", operationBeforeFix='" + operationBeforeFix + '\'' +
                ", operationAfterFix='" + operationAfterFix + '\'' +
                ", logType='" + logType + '\'' +
                ", logTypeCode='" + logTypeCode + '\'' +
                '}';
    }
}
